Index: trunk/SRC/Matrix/make_selection.pro
===================================================================
--- trunk/SRC/Matrix/make_selection.pro	(revision 222)
+++ trunk/SRC/Matrix/make_selection.pro	(revision 223)
@@ -1,43 +1,51 @@
 ;+
 ;
-; file_comments 
+; @file_comments
 ; Convert an array of selected values to an index
-;        array that identifies the selected values in a list
-;        or data array. 
+; array that identifies the selected values in a list or data array.
 ;
-; categories tools
-; 
-; @param NAMES {in}{required} A list or array of values to choose from 
+; @categories
+; tools
 ;
-; @param SELNAMES {in}{required} A list of selected values
+; @param NAMES {in}{required}
+; A list or array of values to choose from
 ;
-; @keyword ONLY_VALID Return only indexes of found values. Values not
-;            found are skipped. Default is to return 1 index value for
-;            each SELNAME, which is -1 if SELNAME is not contained in 
-;            NAMES. If ONLY_VALID is set, the -1 values will be deleted,
-;            and a value of -1 indicates that no SELNAME has been found
-;            at all.
+; @param SELNAMES {in}{required}
+; A list of selected values
 ;
-; @keyword REQUIRED Normally, MAKE_SELECTION will return indexes for
-;            all values that are found, simply ignoring the selected
-;            values that are not in the NAMES array (although an error
-;            message is displayed). Set this keyword to return with
-;            -1 as soon as a selected value is not found.
+; @keyword ONLY_VALID
+; Return only indexes of found values. Values not
+; found are skipped. Default is to return 1 index value for
+; each SELNAME, which is -1 if SELNAME is not contained in
+; NAMES. If ONLY_VALID is set, the -1 values will be deleted,
+; and a value of -1 indicates that no SELNAME has been found
+; at all.
 ;
-; @keyword QUIET Suppress printing of the error message if a
-;            selected value is not found (the error condition will
-;            still be set).
+; @keyword REQUIRED
+; Normally, MAKE_SELECTION will return indexes for
+; all values that are found, simply ignoring the selected
+; values that are not in the NAMES array (although an error
+; message is displayed). Set this keyword to return with
+; -1 as soon as a selected value is not found.
 ;
-; @returns A (long) array with indexes to reference the selected values
-;        in the NAMES array.
+; @keyword QUIET
+; Suppress printing of the error message if a
+; selected value is not found (the error condition will
+; still be set).
 ;
-; @restrictions If the NAMES array contains multiple entries of the same value,
-;        only the index to the first entry will be returned.
+; @returns
+; A (long) array with indexes to reference the selected values
+; in the NAMES array.
 ;
-;        A selection can contain multiple instances of the same value.
-;        The index array will contain one entry per selected item
-;        (See example below)
+; @restrictions
+; If the NAMES array contains multiple entries of the same value,
+; only the index to the first entry will be returned.
 ;
-; @examples names = [ 'Alfred','Anton','Peter','John','Mary']
+; A selection can contain multiple instances of the same value.
+; The index array will contain one entry per selected item
+; (See example below)
+;
+; @examples
+;           names = [ 'Alfred','Anton','Peter','John','Mary']
 ;           index = MAKE_SELECTION(names,['Peter','Mary'])
 ;           print,index
@@ -57,8 +65,10 @@
 ;           ; prints  -1
 ;
-; @history mgs, 28 Aug 1998: VERSION 1.00
-;          mgs, 29 Aug 1998: - changed behavior and added ONLY_VALID keyword
+; @history
+; mgs, 28 Aug 1998: VERSION 1.00
+; mgs, 29 Aug 1998: - changed behavior and added ONLY_VALID keyword
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -81,22 +91,19 @@
   compile_opt idl2, strictarrsubs
 ;
- 
- 
- 
-    ; return an index array with a number for each element in 
+    ; return an index array with a number for each element in
     ; selnames that is found in names.
     ; Set the REQUIRED keyword to return -1 if one element is
-    ; not found, otherwise -1 will only be returned, if no 
+    ; not found, otherwise -1 will only be returned, if no
     ; element is found.
- 
+
     ; reset error state to 0
     message,/reset
- 
+
     quiet = keyword_set(quiet)
     result = -1L
- 
+
     for i=0,n_elements(selnames)-1 do begin
        test = where(names eq selnames[i])
-       result = [ result, test[0] ] 
+       result = [ result, test[0] ]
        if (test[0] lt 0) then begin
            if (keyword_set(ONLY_VALID) OR keyword_set(REQUIRED)) then $
@@ -106,5 +113,5 @@
        endif
     endfor
- 
+
     if (n_elements(result) gt 1) then result = result[1:*]
 
@@ -114,6 +121,6 @@
         else result = -1L
     endif
- 
+
     return,result
- 
+
 end
Index: trunk/SRC/Postscript/printps.pro
===================================================================
--- trunk/SRC/Postscript/printps.pro	(revision 222)
+++ trunk/SRC/Postscript/printps.pro	(revision 223)
@@ -16,5 +16,5 @@
 ; that any of the existing ps file).
 ;
-; @categories 
+; @categories
 ; Postscripts
 ;
@@ -193,8 +193,8 @@
 ; postscript visualisation/archiving/printing
 ;
-; @categories 
+; @categories
 ; Postscripts
 ;
-; @param psfilename {in}{optional} 
+; @param psfilename {in}{optional}
 ; The name of the postscript file we want to
 ; visualize and/or print and/or archive. It can also refer
@@ -244,5 +244,5 @@
       nameps = file_search(psdir+'*.ps', /test_regular, /nosort)
       IF nameps[0] EQ '' THEN BEGIN
-        ras = report('no postsrcipt file (ending with .ps) found in : ' + psdir)
+        ras = report('no postscript file (ending with .ps) found in : ' + psdir)
         RETURN
       ENDIF
Index: trunk/SRC/ReadWrite/read_grads.pro
===================================================================
--- trunk/SRC/ReadWrite/read_grads.pro	(revision 222)
+++ trunk/SRC/ReadWrite/read_grads.pro	(revision 223)
@@ -7,5 +7,5 @@
 ; from the grads control file even if there is multiple data files.
 ;
-; @categories 
+; @categories
 ; Reading
 ;
@@ -44,12 +44,11 @@
 ; an array
 ;
-; @uses 
+; @uses
 ; common
 ;
-; @restriction
+; @restrictions
 ; define all the grid parameters (defined in common.pro)
 ; associated to the data.
 ;
-; @restrictions
 ; this function call the procedure scanfile that use the
 ; unix commands grep and sed
@@ -59,5 +58,5 @@
 ; IDL> plt, a
 ;
-; @history 
+; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/determ2.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 223)
@@ -1,11 +1,10 @@
 ;+
 ;
-; file_comments
-; computes the determinant of n 2 by 2 arrays
-; Z2DS is an 2*2*n array
+; @file_comments
+; computes the determinant of n 2 by 2 arrays Z2DS is an 2*2*n array
 ;
-; @categories 
+; @categories
 ; Without loop
-; 
+;
 ; @param A {in}{required}
 ; n element array
@@ -24,15 +23,15 @@
 ; Defined as z2ds[1, 1, *] = z1d11
 ;
-; @returns 
+; @returns
 ; n elements array, the determinent of each 2*2 arrrays
 ;
 ; @examples
-; a=findgen(2,2,5)
-; print, determ2(a)
-; FOR i=0,4 DO print, determ(a[*,*,i]) ; IDL solution
+; IDL> a=findgen(2,2,5)
+; IDL> print, determ2(a)
+; IDL> FOR i=0,4 DO print, determ(a[*,*,i]) ; IDL solution
 ;
 ; @history
-;           S. Masson (smasson\@lodyc.jussieu.fr)
-;           July 11th, 2002
+; S. Masson (smasson\@lodyc.jussieu.fr)
+; July 11th, 2002
 ;
 ; @version
Index: trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 223)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments  
+; @file_comments
 ; averages a 3- or 4-d time series field over a selected
 ; geographical area or along the time axis. For one ore more
@@ -16,27 +16,31 @@
 ; @param DIREC {in}{required}
 ; 'x' 'y' 'z' 't' 'xy' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt'
-; 'xyt' 'xzt' 'yzt' or 'xyzt' 
-;
-; @keyword BOXZOOM  
+; 'xyt' 'xzt' 'yzt' or 'xyzt'
+;
+; @keyword BOXZOOM
 ; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see domdef
-; boxzoom can have 5 forms: 
-; [vert2], [vert1, vert2],[lon1, lon2, lat1, lat2],  
+; boxzoom can have 5 forms:
+; [vert2], [vert1, vert2],[lon1, lon2, lat1, lat2],
 ; [lon1, lon2, lat1, lat2, vert2],[lon1, lon2, lat1, lat2, vert1,vert2]
-;             
-; @keyword NAN 
-; not a number, we activate it if we want to average without considerate some masked values of TAB.
-; If masked values of TAB are values consecrated by IDL(!values.f_nan), wr just have to put NAN.
-; If masked values of TAB are valued a (a must be different of 1, corresponding to nan =
-; !values.f_nan and of 0, which desactivate nan). We have to put NAN=a. 
-; Comment: In output, rsult points which are NAN will be valued a or !values.f_nan.
-;            
+;
+; @keyword NAN
+; not a number, we activate it if we want to average without considerate some
+; masked values of TAB.
+; If masked values of TAB are values consecrated by IDL(!values.f_nan), we
+; just have to put NAN.
+; If masked values of TAB are valued a (a must be different of 1,
+; corresponding to nan = !values.f_nan and of 0, which desactivate nan).
+; We have to put NAN=a.
+; Comment: In output, rsult points which are NAN will be valued a or
+; !values.f_nan.
+;
 ; @keyword NODOMDEF
-; We activate it if we do not want to pass in domdef even if the keyword boxzoom 
-; is present (like when grossemoyenne is called via checkfield)
-;
-; @keyword INTEGRATION 
+; We activate it if we do not want to pass in domdef even if the keyword
+; boxzoom is present (like when grossemoyenne is called via checkfield)
+;
+; @keyword INTEGRATION
 ; To make an integral rather than an average
 ;
-; @keyword SPATIALFIRST 
+; @keyword SPATIALFIRST
 ; when performing at the same time
 ; spatial and temporal mean, grossemoyenne is assuming
@@ -48,26 +52,25 @@
 ; SPATIALFIRST is activated automatically.
 ;
-; @keyword TEMPORALFIRST 
+; @keyword TEMPORALFIRST
 ; to force to perform first temporal
-; mean even if nan is activated (see SPATIALFIRST
-; explanations...)
-;
-; 
-; @keyword WDEPTH 
-; to specify that the field is at W depth instead of T 
-; depth (automatically activated if vargrid eq 'W') 
+; mean even if nan is activated (see SPATIALFIRST explanations...)
+;
+; @keyword WDEPTH
+; to specify that the field is at W depth instead of T
+; depth (automatically activated if vargrid eq 'W')
 ;
 ; @uses
-; result:un tableau 
+; result:un tableau
 ; common
 ; domdef
 ;
-; @restrictions Put values corresponding to land at 1.e20
-;
-; @history 
+; @restrictions
+; Put values corresponding to land at 1.e20
+;
+; @history
 ; Jerome Vialard (jv\@lodyc.jussieu.fr)
 ;			2/7/98
 ;                       Sebastien Masson (smasson\@lodyc.jussieu.fr)
-; adaptation array containing a temporal dimension 
+; adaptation array containing a temporal dimension
 ;                       14/8/98
 ;                       15/1/98
@@ -118,15 +121,15 @@
   taille = size(tab)
   case 1 of
-    taille[0] eq 1 :return,  report('Le tableau n''a qu''une dimension, cas non traite!')
-    taille[0] eq 2 :return,  report('Le tableau n''a qu''deux dimension, cas non traite!')
-    taille[0] eq 3 :BEGIN 
+    taille[0] eq 1 :return,  report('array has only one dimension, not implemented!')
+    taille[0] eq 2 :return,  report('array has only two dimensions, not implemented!')
+    taille[0] eq 3 :BEGIN
       dim = '3d'
       if dirx eq 0 and diry eq 0 and dirt eq 0 then return, tab
     END
-    taille[0] eq 4 :BEGIN 
+    taille[0] eq 4 :BEGIN
       dim = '4d'
       if dirx eq 0 and diry eq 0 and dirz eq 0 and dirt eq 0 then return, tab
     END
-    else : return, report('Le tableau d entree doit etre a 3 ou 4 dimensions s''il ne contient pas de dim temporelle utiliser moyenne')
+    else : return, report('array must have 3 or 4 dimensions if there is not time dimension use moyenne')
   endcase
 ;------------------------------------------------------------
@@ -134,7 +137,7 @@
 ; Redefinition of the domain ajusted at boxzoom (at 6 elements)
 ; This will allowed us to calculate only in the domain concerned by the average.
-; Domdef, followed by grid give us all arrays of the grid on the subdomain 
-;------------------------------------------------------------
-  if keyword_set(boxzoom) then BEGIN 
+; Domdef, followed by grid give us all arrays of the grid on the subdomain
+;------------------------------------------------------------
+  if keyword_set(boxzoom) then BEGIN
     Case 1 Of
       N_Elements(Boxzoom) Eq 1: bte = [lon1, lon2, lat1, lat2, 0., boxzoom[0]]
@@ -145,10 +148,10 @@
       Else: return, report('Wrong Definition of Boxzoom')
     endcase
-    if NOT keyword_set(nodomdef) then BEGIN 
+    if NOT keyword_set(nodomdef) then BEGIN
       savedbox = 1b
       saveboxparam, 'boxparam4grmoyenne.dat'
       domdef, bte, GRIDTYPE = vargrid, _extra = ex
-    ENDIF 
-  ENDIF 
+    ENDIF
+  ENDIF
 ;---------------------------------------------------------------
 ; attribution of the mask and of longitude and latitude arrays...
@@ -159,5 +162,5 @@
 ;------------------------------------------------------------
   if dirt EQ 1 AND NOT keyword_set(spatialfirst) then begin
-    if dim EQ 3d then BEGIN 
+    if dim EQ 3d then BEGIN
       case 1 of
         taille[1] eq jpi and taille[2] eq jpj and taille[3] eq jpt: $
@@ -165,5 +168,5 @@
                     , firsty:firsty+ny-1, *]
         taille[1] EQ  nx and taille[2] eq  ny and taille[3] eq jpt:res = tab
-        else:BEGIN 
+        else:BEGIN
           if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
           return, report('Probleme d''adequation entre les tailles du domaine nx*ny*jpt '+strtrim(nx, 1)+'*'+strtrim(ny, 1)+'*'+strtrim(jpt, 1)+' et du tableau '+strtrim(taille[1], 1)+'*'+strtrim(taille[2], 1)+'*'+strtrim(taille[3], 1))
@@ -179,5 +182,5 @@
           res = total(res, 3, nan = keyword_set(nan))/ (1 > divi)
           if notanum[0] NE -1 then res[temporary(notanum)] = !values.f_nan
-        ENDIF ELSE res = total(res, 3)/(1.*taille[3]) 
+        ENDIF ELSE res = total(res, 3)/(1.*taille[3])
       ENDELSE
     ENDIF ELSE BEGIN
@@ -190,5 +193,5 @@
         taille[1] EQ  nx and taille[2] eq  ny and taille[3] eq jpk and taille[4] eq jpt: $
           res = tab[*, *, firstz:lastz, *]
-        else:BEGIN 
+        else:BEGIN
            if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
           return, report('Probleme d''adequation entre les tailles du domaine nx*ny*nz*jpt ' $
@@ -211,9 +214,9 @@
       ENDELSE
     ENDELSE
-    if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'    
+    if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
     return,  moyenne(temporary(res), direc, BOXZOOM = boxzoom, NAN = nan, INTEGRATION = integration, NODOMDEF = nodomdef, WDEPTH = wdepth, _extra = ex)
   ENDIF ELSE res = tab
   IF jpt EQ 1 THEN BEGIN
-    if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'    
+    if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
     return, moyenne(reform(res, /over), direc, BOXZOOM = boxzoom, NAN = nan, INTEGRATION = integration, NODOMDEF = nodomdef, WDEPTH = wdepth, _extra = ex)
   END
@@ -227,6 +230,6 @@
 ;   II.1) verification of the coherence of the array's size to average
 ; Verification of the coherence between the array's size and the domain defined by domdef
-; The input array must have either the total domain's size (jpi,jpj,jpt) or this 
-; one of the reduced domain (nx,ny,jpt)
+; The input array must have either the total domain's size (jpi,jpj,jpt) or
+; this one of the reduced domain (nx,ny,jpt)
 ;---------------------------------------------------------------
     case 1 of
@@ -235,11 +238,11 @@
                   , firsty:firsty+ny-1, *]
       taille[1] EQ  nx and taille[2] eq  ny and taille[3] eq jpt:res = tab
-      else:BEGIN 
+      else:BEGIN
         if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
         return, report('Probleme d''adequation entre les tailles du domaine nx*ny*jpt '+strtrim(nx, 1)+'*'+strtrim(ny, 1)+'*'+strtrim(jpt, 1)+' et du tableau '+strtrim(taille[1], 1)+'*'+strtrim(taille[2], 1)+'*'+strtrim(taille[3], 1))
       enD
     endcase
-    if keyword_set(nan) NE 0 then BEGIN 
-      if nan NE 1 then BEGIN    ; If nan is not !values.f_nan 
+    if keyword_set(nan) NE 0 then BEGIN
+      if nan NE 1 then BEGIN    ; If nan is not !values.f_nan
 ; we put it at !values.f_nan
         if abs(nan) LT 1e6 then notanumber = where(res EQ nan) $
@@ -249,9 +252,9 @@
     ENDIF
 ;---------------------------------------------------------------
-; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1, 
-; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN 
-; LOOK USELESS AT THE BEGINNING
-;---------------------------------------------------------------
-    if nx EQ 1 OR ny EQ 1 then BEGIN 
+; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO
+; AVERAGE = 1, AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE
+; reform(...,nx,ny,...) WHICH CAN LOOK USELESS AT THE BEGINNING
+;---------------------------------------------------------------
+    if nx EQ 1 OR ny EQ 1 then BEGIN
       res = reform(res, nx, ny, jpt, /over)
       e1 =  reform(e1, nx, ny, /over)
@@ -270,5 +273,5 @@
         echelle = (temporary(e))[*]#replicate(1, jpt)
         echelle = reform(echelle, nx, ny, jpt, /over)
-        if keyword_set(integration) then divi = 1 ELSE BEGIN 
+        if keyword_set(integration) then divi = 1 ELSE BEGIN
           IF msknan[0] NE -1 THEN divi = total(echelle*msknan, 1) $
           ELSE divi = total(echelle, 1)
@@ -287,8 +290,8 @@
         echelle = (temporary(e))[*]#replicate(1, jpt)
         echelle = reform(echelle, nx, ny, jpt, /over)
-        if keyword_set(integration) then divi = 1 ELSE BEGIN 
+        if keyword_set(integration) then divi = 1 ELSE BEGIN
           IF msknan[0] NE -1 THEN divi = total(echelle*msknan, 2) $
           ELSE divi = total(echelle, 2)
-        ENDELSE 
+        ENDELSE
         res = total(temporary(res)*echelle, 2, nan = nan)/(divi > 1.)
         if msknan[0] NE -1 then begin
@@ -302,5 +305,5 @@
         echelle = (temporary(e1)*temporary(e2)*temporary(mask))[*]#replicate(1, jpt)
         echelle = reform(echelle, nx, ny, jpt, /over)
-        if keyword_set(integration) then divi = 1 ELSE BEGIN 
+        if keyword_set(integration) then divi = 1 ELSE BEGIN
           IF msknan[0] NE -1 THEN divi = total(total(echelle*msknan, 1), 1) $
           ELSE divi = total(total(echelle, 1), 1)
@@ -322,8 +325,8 @@
   if (dim eq '4d') then begin
 ;---------------------------------------------------------------
-; III.1) Verification of the coherence of the array to average size 
-; Verification of the coherence between the array's size and the domain 
-; defind by domdef 
-; The input array must have either the total domain size (jpi,jpj,jpk,jpt) 
+; III.1) Verification of the coherence of the array to average size
+; Verification of the coherence between the array's size and the domain
+; defind by domdef
+; The input array must have either the total domain size (jpi,jpj,jpk,jpt)
 ; or this one of the reduced domain (nx,ny,ny,jpt)
 ;---------------------------------------------------------------
@@ -336,5 +339,5 @@
       taille[1] EQ  nx and taille[2] eq  ny and taille[3] eq jpk and taille[4] eq jpt: $
         res = tab[*, *, firstz:lastz, *]
-      else:BEGIN 
+      else:BEGIN
         if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
         return, report('Probleme d''adequation entre les tailles du domaine nx*ny*nz*jpt ' $
@@ -346,6 +349,6 @@
     endcase
     if nx EQ 1 OR ny EQ 1 OR nz EQ 1 OR jpt EQ 1 then res = reform(res, nx, ny, nz, jpt, /over)
-    if keyword_set(nan) NE 0 then BEGIN 
-      if nan NE 1 then BEGIN    ; if nan is not !values.f_nan 
+    if keyword_set(nan) NE 0 then BEGIN
+      if nan NE 1 then BEGIN    ; if nan is not !values.f_nan
 ; we put it at !values.f_nan
         if abs(nan) LT 1e6 then notanumber = where(res EQ nan) $
@@ -355,9 +358,9 @@
     ENDIF
 ;---------------------------------------------------------------
-; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1, 
-; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN 
-; LOOK USELESS AT THE BEGINNING
-;---------------------------------------------------------------
-    if nx EQ 1 OR ny EQ 1 OR nz EQ 1 then BEGIN 
+; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO
+; AVERAGE = 1, AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE
+; reform(...,nx,ny,...) WHICH CAN LOOK USELESS AT THE BEGINNING
+;---------------------------------------------------------------
+    if nx EQ 1 OR ny EQ 1 OR nz EQ 1 then BEGIN
       res = reform(res, nx, ny, nz, jpt, /over)
       mask =  reform(mask, nx, ny, nz, /over)
@@ -366,6 +369,6 @@
 ; the top of the ocean floor is
       IF vargrid EQ 'T' OR vargrid EQ 'W' THEN bottom = total(mask, 3) $
-      ELSE bottom = total(tmask[firstx:lastx, firsty:lasty, firstz:lastz], 3) 
-; we suppress columns with only ocean or land 
+      ELSE bottom = total(tmask[firstx:lastx, firsty:lasty, firstz:lastz], 3)
+; we suppress columns with only ocean or land
       good = where(bottom NE 0 AND bottom NE nz)
 ; the bottom of the ocean in 3D index is:
@@ -386,5 +389,5 @@
         IF keyword_set(key_partialstep) AND bottom[0] NE -1 $
           AND nx NE 1 THEN BEGIN
-          IF msknan[0] EQ -1 THEN BEGIN 
+          IF msknan[0] EQ -1 THEN BEGIN
             msknan = replicate(1b, nx, ny, nz, jpt)
             nan = 1
@@ -395,5 +398,5 @@
           res[temporary(bottom)] = !values.f_nan
         ENDIF
-        if keyword_set(integration) then divi = 1 ELSE begin 
+        if keyword_set(integration) then divi = 1 ELSE begin
           IF msknan[0] NE -1 THEN divi = total(echelle*msknan, 1) $
           ELSE divi = total(echelle, 1)
@@ -415,5 +418,5 @@
         IF keyword_set(key_partialstep) AND bottom[0] NE -1 $
           AND ny NE 1 THEN BEGIN
-          IF msknan[0] EQ -1 THEN BEGIN 
+          IF msknan[0] EQ -1 THEN BEGIN
             msknan = replicate(1b, nx, ny, nz)
             nan = 1
@@ -424,5 +427,5 @@
           res[temporary(bottom)] = !values.f_nan
         ENDIF
-        if keyword_set(integration) then divi = 1 ELSE begin 
+        if keyword_set(integration) then divi = 1 ELSE begin
           IF msknan[0] NE -1 THEN divi = total(echelle*msknan, 2) $
           ELSE divi = total(echelle, 2)
@@ -446,5 +449,5 @@
         echelle = (temporary(e33)*temporary(mask))[*]#replicate(1, jpt)
         echelle = reform(echelle, nx, ny, nz, jpt, /over)
-        if keyword_set(integration) then divi = 1 ELSE begin 
+        if keyword_set(integration) then divi = 1 ELSE begin
           IF msknan[0] NE -1 THEN divi = total(echelle*msknan, 3) $
           ELSE divi = total(echelle, 3)
@@ -467,5 +470,5 @@
         IF keyword_set(key_partialstep) AND bottom[0] NE -1 $
           AND nx*ny NE 1 THEN BEGIN
-          IF msknan[0] EQ -1 THEN BEGIN 
+          IF msknan[0] EQ -1 THEN BEGIN
             msknan = replicate(1b, nx, ny, nz)
             nan = 1
@@ -476,5 +479,5 @@
           res[temporary(bottom)] = !values.f_nan
         ENDIF
-        if keyword_set(integration) then divi = 1 ELSE begin 
+        if keyword_set(integration) then divi = 1 ELSE begin
           IF msknan[0] NE -1 THEN divi = total(total(echelle*msknan, 1), 1) $
           ELSE divi = total(total(echelle, 1), 1)
@@ -497,5 +500,5 @@
         echelle = (temporary(e133[*])*temporary(mask[*]))#replicate(1, jpt)
         echelle = reform(echelle, nx, ny, nz, jpt, /over)
-        if keyword_set(integration) then divi = 1 ELSE begin 
+        if keyword_set(integration) then divi = 1 ELSE begin
           IF msknan[0] NE -1 THEN divi = total(total(echelle*msknan, 1), 2) $
           ELSE divi = total(total(echelle, 1), 2)
@@ -518,5 +521,5 @@
         echelle = (temporary(e233[*])*temporary(mask[*]))#replicate(1, jpt)
         echelle = reform(echelle, nx, ny, nz, jpt, /over)
-        if keyword_set(integration) then divi = 1 ELSE begin 
+        if keyword_set(integration) then divi = 1 ELSE begin
           IF msknan[0] NE -1 THEN divi = total(total(echelle*msknan, 2), 2) $
           ELSE divi = total(total(echelle, 2), 2)
@@ -539,5 +542,5 @@
         echelle = (temporary(e1233[*])*temporary(mask[*]))#replicate(1, jpt)
         echelle = reform(echelle, nx, ny, nz, jpt, /over)
-        if keyword_set(integration) then divi = 1 ELSE begin 
+        if keyword_set(integration) then divi = 1 ELSE begin
           IF msknan[0] NE -1 THEN divi = total(total(total(echelle*msknan, 1), 1), 1) $
           ELSE divi = total(total(total(echelle, 1), 1), 1)
@@ -562,6 +565,6 @@
     tdim = size(res, /n_dimensions)
     if keyword_set(integration) then res = total(res, tdim, nan = nan) $
-    ELSE BEGIN 
-      if keyword_set(nan) then BEGIN 
+    ELSE BEGIN
+      if keyword_set(nan) then BEGIN
         testnan = testnan < 1
         testnan = total(temporary(testnan), tdim)
@@ -569,5 +572,5 @@
       ENDIF ELSE divi = jpt
       res = total(res, tdim, nan = nan)/(1 > divi)
-    ENDELSE 
+    ENDELSE
   ENDIF
 ;------------------------------------------------------------
@@ -580,14 +583,14 @@
   valmask = 1e+20
   terre = where(divi EQ 0)
-  IF terre[0] NE -1 THEN BEGIN 
+  IF terre[0] NE -1 THEN BEGIN
     res[temporary(terre)] = 1e+20
-  ENDIF 
+  ENDIF
 ;------------------------------------------------------------
 ; IV.2) We replace, when nan equal 1, !values.f_nan by nan
 ;------------------------------------------------------------
-  if keyword_set(nan) NE 0 then BEGIN 
+  if keyword_set(nan) NE 0 then BEGIN
     puttonan = where(temporary(testnan) EQ 0)
     if puttonan[0] NE -1 then res[temporary(puttonan)] = !values.f_nan
-    if nan NE 1 then BEGIN 
+    if nan NE 1 then BEGIN
       notanumber = where(finite(res) eq 0)
       if notanumber[0] NE -1 then res[temporary(notanumber)] = nan
@@ -599,5 +602,5 @@
   if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4grmoyenne.dat'
 ;------------------------------------------------------------
-  if keyword_set(key_performance) THEN print, 'temps grossemoyenne', systime(1)-tempsun 
+  if keyword_set(key_performance) THEN print, 'temps grossemoyenne', systime(1)-tempsun
   return, res
 ;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 223)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments  
+; @file_comments
 ; averages a 2- or 3-d field over a selected
 ;           geographical area and along one ore more
@@ -17,33 +17,33 @@
 ; 'x' 'y' 'z' 'xy' 'xz' 'yz' or 'xyz'
 ;
-; @keyword BOXZOOM  
+; @keyword BOXZOOM
 ; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see domdef
-; boxzoom can have 5 forms: 
+; boxzoom can have 5 forms:
 ;  [vert2],
 ;  [vert1, vert2],
-;  [lon1, lon2, lat1, lat2],  
+;  [lon1, lon2, lat1, lat2],
 ;  [lon1, lon2, lat1, lat2, vert2],
 ;  [lon1, lon2, lat1, lat2, vert1,vert2]
 ;
-; @keyword NAN 
+; @keyword NAN
 ; not a number, we activate it if we want to average without considerate some masked values of TAB.
 ; If masked values of TAB are values consecrated by IDL(!values.f_nan), we just have to put NAN.
 ; If masked values of TAB are valued a (a must be different of 1, corresponding to nan =
-; !values.f_nan and of 0, which desactivate nan). We have to put NAN=a. 
+; !values.f_nan and of 0, which desactivate nan). We have to put NAN=a.
 ; Comment: In output, result points which are NAN will be valued a or !values.f_nan.
-;            
+;
 ; @keyword NODOMDEF
-; We activate it if we do not want to pass in domdef even if the keyword boxzoom 
+; We activate it if we do not want to pass in domdef even if the keyword boxzoom
 ; is present (like when grossemoyenne is called via checkfield)
 ;
-; @keyword INTEGRATION 
+; @keyword INTEGRATION
 ; To make an integral rather than an average
-; 
-; @keyword WDEPTH 
-; to specify that the field is at W depth instead of T 
-; depth (automatically activated if vargrid eq 'W') 
-;            
+;
+; @keyword WDEPTH
+; to specify that the field is at W depth instead of T
+; depth (automatically activated if vargrid eq 'W')
+;
 ; @returns
-; An array 
+; An array
 ;
 ; @uses
@@ -51,5 +51,6 @@
 ; domdef
 ;
-; @restrictions Put values corresponding to land at 1.e20
+; @restrictions
+; Put values corresponding to land at 1.e20
 ;
 ; @history
@@ -112,5 +113,5 @@
       if dirx eq 0 and diry eq 0 and dirz eq 0 then return, tab
     END
-    else : return, report('Le tableau d''entree doit etre a 2 ou 3 dimensions s''il contient une dim temporelle utiliser grossemoyenne')
+    else : return, report('Array must have 2 or 3 dimensions if there is a time dimension use grossemoyenne')
   endcase
 ;------------------------------------------------------------
@@ -118,7 +119,7 @@
 ; Redefinition of the domain ajusted at boxzoom (at 6 elements)
 ; This will allowed us to calculate only in the domain concerned by the average.
-; Domdef, followed by grid give us all arrays of the grid on the subdomain 
-;------------------------------------------------------------
-  if keyword_set(boxzoom) then BEGIN 
+; Domdef, followed by grid give us all arrays of the grid on the subdomain
+;------------------------------------------------------------
+  if keyword_set(boxzoom) then BEGIN
     Case 1 Of
       N_Elements(Boxzoom) Eq 1:bte = [lon1, lon2, lat1, lat2, 0., boxzoom[0]]
@@ -127,12 +128,12 @@
       N_Elements(Boxzoom) Eq 5:bte = [Boxzoom[0:3], 0, Boxzoom[4]]
       N_Elements(Boxzoom) Eq 6:bte = Boxzoom
-      Else: return, report('Mauvaise Definition de Boxzoom')
+      Else: return, report('Bad definition of Boxzoom')
     endcase
-    if NOT keyword_set(nodomdef) then BEGIN 
+    if NOT keyword_set(nodomdef) then BEGIN
       savedbox = 1b
       saveboxparam, 'boxparam4moyenne.dat'
       domdef, bte, GRIDTYPE = vargrid, _extra = ex
-    ENDIF 
-  ENDIF 
+    ENDIF
+  ENDIF
 ;---------------------------------------------------------------
 ; attribution of the mask and of longitude and latitude arrays...
@@ -155,16 +156,16 @@
           jpk:res = tab[firstz:lastz]
           nz:res = tab
-          ELSE:BEGIN 
+          ELSE:BEGIN
             if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
             return, report('Probleme d''adequation entre les tailles du domaine et de la boxzoom.')
           END
         ENDCASE
-        if dirz EQ 1 then BEGIN 
-          dim = '3d' 
+        if dirz EQ 1 then BEGIN
+          dim = '3d'
           taille = size(reform(res, nx, ny, nz))
         ENDIF ELSE BEGIN
           if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
           return, res
-        ENDELSE 
+        ENDELSE
       END
       ny EQ 1:BEGIN             ;vector following x
@@ -172,13 +173,13 @@
           jpi:res = tab[firstx:lastx]
           nx:res = tab
-          ELSE:BEGIN 
+          ELSE:BEGIN
             if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
             return, report('Probleme d''adequation entre les tailles du domaine et de la boxzoom.')
           END
         ENDCASE
-        if dirx EQ 1 then BEGIN 
-          dim = '2d' 
+        if dirx EQ 1 then BEGIN
+          dim = '2d'
           taille = size(reform(res, nx, ny))
-        ENDIF ELSE BEGIN 
+        ENDIF ELSE BEGIN
           if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
           return, res
@@ -189,5 +190,5 @@
           jpj:res = tab[firsty:lasty]
           ny:res = tab
-          ELSE:BEGIN 
+          ELSE:BEGIN
             if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
             return, report('Probleme d''adequation entre les tailles du domaine et de la boxzoom.')
@@ -197,8 +198,8 @@
           dim = '2d'
           taille = size(reform(res, nx, ny))
-        ENDIF ELSE BEGIN 
+        ENDIF ELSE BEGIN
           if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
           return, res
-        ENDELSE 
+        ENDELSE
       END
     endcase
@@ -213,5 +214,5 @@
 ;   II.1) verification of the coherence of the array's size to average
 ; Verification of the coherence between the array's size and the domain defined by domdef
-; The input array must have either the total domain's size (jpi,jpj) or this 
+; The input array must have either the total domain's size (jpi,jpj) or this
 ; one of the reduced domain (nx,ny)
 ;---------------------------------------------------------------
@@ -220,11 +221,11 @@
         res = tab[firstx:lastx, firsty:lasty]
       taille[1] eq  nx and taille[2] eq  ny:res = tab
-      else:BEGIN 
+      else:BEGIN
         if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
         return, report('Probleme d''adequation entre les tailles du domaine nx*ny '+strtrim(nx, 1)+'*'+strtrim(ny, 1)+' et du tableau '+strtrim(taille[1], 1)+'*'+strtrim(taille[2], 1))
       END
     ENDCASE
-    if keyword_set(nan) NE 0 then BEGIN 
-      if nan NE 1 then BEGIN    ; If nan is not !values.f_nan 
+    if keyword_set(nan) NE 0 then BEGIN
+      if nan NE 1 then BEGIN    ; If nan is not !values.f_nan
 ; we put it at !values.f_nan
         if abs(nan) LT 1e6 then notanumber = where(res EQ nan) $
@@ -234,9 +235,9 @@
     ENDIF
 ;---------------------------------------------------------------
-; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1, 
-; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN 
+; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1,
+; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN
 ; LOOK USELESS AT THE BEGINNING
 ;---------------------------------------------------------------
-    if nx EQ 1 OR ny EQ 1 then BEGIN 
+    if nx EQ 1 OR ny EQ 1 then BEGIN
       res = reform(res, nx, ny, /over)
       e1 =  reform(e1, nx, ny, /over)
@@ -254,5 +255,5 @@
         e = e1*mask
         if keyword_set(integration) then divi = 1 $
-        else begin 
+        else begin
           divi = e
           IF msknan[0] NE -1 THEN divi = temporary(divi)*msknan
@@ -272,5 +273,5 @@
         e = e2*mask
         if keyword_set(integration) then divi = 1 $
-        else begin 
+        else begin
           divi = e
           IF msknan[0] NE -1 THEN divi = temporary(divi)*msknan
@@ -288,8 +289,8 @@
       end
       (dirx eq 1) and (diry eq 1) : begin
-        if keyword_set(integration) then divi = 1 else BEGIN 
+        if keyword_set(integration) then divi = 1 else BEGIN
           IF msknan[0] NE -1 THEN divi = total(e1*e2*mask*msknan) $
           ELSE divi = total(e1*e2*mask)
-        ENDELSE 
+        ENDELSE
         res = total(res*e1*e2*mask, nan = nan)/(divi > 1.)
         if msknan[0] NE -1 then begin
@@ -307,8 +308,8 @@
   if (dim eq '3d') then begin
 ;---------------------------------------------------------------
-; III.1) Verification of the coherence of the array to average size 
-; Verification of the coherence between the array's size and the domain 
-; defind by domdef 
-; The input array must have either the total domain size (jpi,jpj,jpk) 
+; III.1) Verification of the coherence of the array to average size
+; Verification of the coherence between the array's size and the domain
+; defind by domdef
+; The input array must have either the total domain size (jpi,jpj,jpk)
 ; or this one of the reduced domain (nx,ny,ny)
 ;---------------------------------------------------------------
@@ -321,11 +322,11 @@
       taille[1] EQ  nx and taille[2] eq  ny and taille[3] eq jpk : $
         res = tab[*, *, firstz:lastz]
-      else:BEGIN 
+      else:BEGIN
         if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
         return, report('Probleme d''adequation entre les tailles du domaine nx*ny*nz '+strtrim(nx, 1)+'*'+strtrim(ny, 1)+'*'+strtrim(nz, 1)+' et du tableau '+strtrim(taille[1], 1)+'*'+strtrim(taille[2], 1)+'*'+strtrim(taille[3], 1))
       END
     endcase
-    if keyword_set(nan) NE 0 then BEGIN 
-      if nan NE 1 then BEGIN    ; if nan is not !values.f_nan 
+    if keyword_set(nan) NE 0 then BEGIN
+      if nan NE 1 then BEGIN    ; if nan is not !values.f_nan
 ; we put it at !values.f_nan
         if abs(nan) LT 1e6 then notanumber = where(res EQ nan) $
@@ -335,9 +336,9 @@
     ENDIF
 ;---------------------------------------------------------------
-; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1, 
-; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN 
+; Comment : WE HAVE TO BE CAREFUL ABOUT CASES WHERE THE DIMENSION TO AVERAGE = 1,
+; AND MAKE SURE THAT IT EXIST. THAT IS WHY WE USE reform(...,nx,ny,...) WHICH CAN
 ; LOOK USELESS AT THE BEGINNING
 ;---------------------------------------------------------------
-    if nx EQ 1 OR ny EQ 1 OR nz EQ 1 then BEGIN 
+    if nx EQ 1 OR ny EQ 1 OR nz EQ 1 then BEGIN
       res = reform(res, nx, ny, nz, /over)
       e1 =  reform(e1, nx, ny, /over)
@@ -349,6 +350,6 @@
 ; the top of the ocean floor is
       IF vargrid EQ 'T' OR vargrid EQ 'W' THEN bottom = total(mask, 3) $
-      ELSE bottom = total(tmask[firstx:lastx, firsty:lasty, firstz:lastz], 3) 
-; we suppress columns with only ocean or land 
+      ELSE bottom = total(tmask[firstx:lastx, firsty:lasty, firstz:lastz], 3)
+; we suppress columns with only ocean or land
       good = where(bottom NE 0 AND bottom NE nz)
 ; the bottom of the ocean in 3D index is:
@@ -367,5 +368,5 @@
         IF keyword_set(key_partialstep) AND bottom[0] NE -1 $
           AND nx NE 1 THEN BEGIN
-          IF msknan[0] EQ -1 THEN BEGIN 
+          IF msknan[0] EQ -1 THEN BEGIN
             msknan = replicate(1b, nx, ny, nz)
             nan = 1
@@ -395,5 +396,5 @@
         IF keyword_set(key_partialstep) AND bottom[0] NE -1 $
           AND ny NE 1 THEN BEGIN
-          IF msknan[0] EQ -1 THEN BEGIN 
+          IF msknan[0] EQ -1 THEN BEGIN
             msknan = replicate(1b, nx, ny, nz)
             nan = 1
@@ -447,5 +448,5 @@
         IF keyword_set(key_partialstep) AND bottom[0] NE -1 $
           AND nx*ny NE 1 THEN BEGIN
-          IF msknan[0] EQ -1 THEN BEGIN 
+          IF msknan[0] EQ -1 THEN BEGIN
             msknan = replicate(1b, nx, ny, nz)
             nan = 1
@@ -454,5 +455,5 @@
           res[bottom] = !values.f_nan
         ENDIF
-        if keyword_set(integration) then divi = 1 else BEGIN 
+        if keyword_set(integration) then divi = 1 else BEGIN
           divi = e123*mask
           IF msknan[0] NE -1 THEN divi = temporary(divi)*msknan
@@ -478,5 +479,5 @@
           ELSE e133[bottom] = (e1*e3t_ps[firstx:lastx, firsty:lasty])[temporary(good)]
         ENDIF
-        if keyword_set(integration) then divi = 1 else BEGIN 
+        if keyword_set(integration) then divi = 1 else BEGIN
           divi = e133*mask
           if msknan[0] NE -1 then divi = temporary(divi)*msknan
@@ -502,5 +503,5 @@
           ELSE e233[bottom] = (e2*e3t_ps[firstx:lastx, firsty:lasty])[temporary(good)]
         ENDIF
-        if keyword_set(integration) then divi = 1 else BEGIN 
+        if keyword_set(integration) then divi = 1 else BEGIN
           divi = e233*mask
           if msknan[0] NE -1 then divi = temporary(divi)*msknan
@@ -526,5 +527,5 @@
           ELSE e1233[bottom] = (e1*e2*e3t_ps[firstx:lastx, firsty:lasty])[temporary(good)]
         ENDIF
-        if keyword_set(integration) then divi = 1 else BEGIN 
+        if keyword_set(integration) then divi = 1 else BEGIN
           if msknan[0] NE -1 then divi = total(e1233*mask*msknan) $
           ELSE divi = total(e1233*mask)
@@ -550,12 +551,12 @@
   IF terre[0] NE -1 THEN BEGIN
     res[terre] = 1e+20
-  ENDIF  
+  ENDIF
 ;------------------------------------------------------------
 ; IV.2) We replace, when nan equal 1, !values.f_nan by nan
 ;------------------------------------------------------------
-  if keyword_set(nan) NE 0 then BEGIN 
+  if keyword_set(nan) NE 0 then BEGIN
     puttonan = where(testnan EQ 0)
     if puttonan[0] NE -1 then res[puttonan] = !values.f_nan
-    if nan NE 1 then BEGIN 
+    if nan NE 1 then BEGIN
       notanumber = where(finite(res) eq 0)
       if notanumber[0] NE -1 then res[notanumber] = nan
@@ -567,5 +568,5 @@
   if keyword_set(savedbox) THEN restoreboxparam, 'boxparam4moyenne.dat'
 ;------------------------------------------------------------
-  if keyword_set(key_performance) THEN print, 'temps moyenne', systime(1)-tempsun 
+  if keyword_set(key_performance) THEN print, 'temps moyenne', systime(1)-tempsun
   return, res
 ;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/LECTURE/binary.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/binary.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/LECTURE/binary.pro	(revision 223)
@@ -2,12 +2,12 @@
 ; @file_comments
 ; Returns the binary representation of a number of any numerical type.
-; 
+;
 ; @param NUMBER {in}{required}
 ; scalar or array of numbers (any numerical type)
-; 
-; @Returns
+;
+; @returns
 ; Byte array with binary representation of numbers.
-; 
-; @Examples
+;
+; @examples
 ;   Binary representation of 11b:
 ;     IDL> print, binary(11b)
@@ -26,6 +26,6 @@
 ;     alpha   vms     0fda4149 68c0a221     49 41 da 0f 21 a2 c0 68
 ;     (Beginning with IDL 5.1, Alpha VMS uses IEEE representation as well.)
-; 
-; @history:
+;
+; @history
 ;    19 Dec 1997  Originally a news posting by David Fanning.
 ;                       (Re: bits from bytes)
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 223)
@@ -4,14 +4,14 @@
 ;+
 ;
-; @File_comments
+; @file_comments
 ; Same thing that contour but compatible with the whole environment (common.pro included)
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
 ; @keyword NOREINITPLT
-; We active it if we do not want environment variables !p, !x, !y, !z 
+; We active it if we do not want environment variables !p, !x, !y, !z
 ; to be reinitilalizated by the procedure reinitplt
-; 
+;
 ; @keyword _EXTRA
 ; used to pass your keywords
@@ -21,11 +21,12 @@
 ;
 ; @examples
-;      IDL> z = dist(100) 
+;      IDL> z = dist(100)
 ;      IDL> scontour, z, nlevels=10,small=[1,2,1],xstyle=1,ystyle=1
 ;      IDL> \@ps
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;                      10/10/1999
-; 
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; 10/10/1999
+;
 ; @version
 ; $Id$
@@ -40,7 +41,7 @@
 ;
 @common
-; 1) I reinitializate the graphic environment (variables !x, !y et !p): 
-  if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex 
-; 2) i put the drawing on the screen like on the postcript 
+; 1) I reinitializate the graphic environment (variables !x, !y et !p):
+  if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex
+; 2) i put the drawing on the screen like on the postcript
 ; if ex contains norease and c_orientation keywords we force ex.noerase = 0
   IF chkstru(ex, 'overplot') EQ 0 THEN placedessin, 'autre', _extra = ex
@@ -53,5 +54,5 @@
     dummy = where(alltags EQ 'noerase', count1)
     dummy = where(alltags EQ 'c_orientation', count2)
-    IF count1*count2 NE 0 THEN BEGIN 
+    IF count1*count2 NE 0 THEN BEGIN
       case n_params() OF
         1:contour, x, /nodata, _EXTRA = ex
@@ -62,7 +63,7 @@
       ex = get_extra(/overplot, _extra = ex)
       noerase_orientation = 1
-    ENDIF 
-  ENDIF 
-; 3) je fais mon joli dessin 
+    ENDIF
+  ENDIF
+; 3) je fais mon joli dessin
   case n_params() OF
     1:contour, x, xstyle = 1, ystyle = 1, _EXTRA = ex
@@ -81,5 +82,5 @@
   ENDIF
 ; 4) End of drawing
-  terminedessin, _extra = ex 
+  terminedessin, _extra = ex
 
   return
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 223)
@@ -4,14 +4,14 @@
 ;+
 ;
-; file_comments 
-; Same thing that plot but compatible with the whole environment (common.pro included)
+; @file_comments
+; Same thing than plot but compatible with the whole environment (common.pro included)
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
 ; @keyword NOREINITPLT
-; We active it if we do not want environment variables !p, !x, !y, !z 
+; We active it if we do not want environment variables !p, !x, !y, !z
 ; to be reinitilalizated by the procedure reinitplt
-; 
+;
 ; @keyword _EXTRA
 ; used to pass your keywords
@@ -20,6 +20,6 @@
 ; common.pro
 ;
-; @restrictions 
-; If NOREINITPLT is not activated, all environment 
+; @restrictions
+; If NOREINITPLT is not activated, all environment
 ; variables !p, !x, !y, !z are reinitializted by the procedure reinitplt
 ;
@@ -40,18 +40,18 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-PRO splot,  x, y, NOREINITPLT = noreinitplt, _EXTRA = ex
+PRO splot, x, y, NOREINITPLT = noreinitplt, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
 ;
 @common
-; 1) I reinitializate the graphic environment (les variables !x, !y et !p): 
-   if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex 
-; 2) i put the drawing on the screen like on the postcript 
+; 1) I reinitializate the graphic environment (les variables !x, !y et !p):
+   if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex
+; 2) i put the drawing on the screen like on the postcript
    placedessin, 'autre', _extra = ex
 ; 3) Drawing
    if n_elements(y) EQ 0 then plot,  x, xstyle = 1, ystyle = 1, _EXTRA = ex $
    ELSE plot,  x, y, xstyle = 1, ystyle = 1, _EXTRA = ex
-; 4) End of drawing 
-   terminedessin, _extra=ex 
+; 4) End of drawing
+   terminedessin, _extra=ex
 ;
    return
Index: trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 223)
@@ -3,30 +3,30 @@
 ; @file_comments
 ; function to make plotting symbols much easier.
-; 
+;
 ; @categories
 ; Graphics
 ;
-; @Keyword circle 
+; @keyword circle
 ; circle symbol
-; 
-; @Keyword TRIANGLE
+;
+; @keyword TRIANGLE
 ; triangle symbol
-; 
-; @Keyword DIAMOND 
+;
+; @keyword DIAMOND
 ; diamond symbol
-; 
-; @Keyword BOX
+;
+; @keyword BOX
 ; box symbol
-; 
-; @Keyword LINE
+;
+; @keyword LINE
 ; line symbol
- ;
-; @Keyword SCALE
+;
+; @keyword SCALE
 ; scales the symbol
-; 
-; @Keyword ANGLE
+;
+; @keyword ANGLE
 ; angle the symbol should be rotated
-; 
-; @Keyword _EXTRA
+;
+; @keyword _EXTRA
 ; extra keywords for usersym.  These are thick, color and fill
 ;
@@ -42,5 +42,5 @@
 ; @version
 ; $Id$
-; 
+;
 ;-
 
Index: trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 223)
@@ -7,25 +7,25 @@
 ; @param filein {in}{required}
 ; text file name.
-; 
-; @Keyword ERROR
+;
+; @keyword ERROR
 ; =err  error flag: 0=ok, 1=file not opened,
 ; 2=no lines in file.
-;         
-; @keyword QUIET 
+;
+; @keyword QUIET
 ; means give no error message.
-;         
+;
 ; @keyword LINES
 ; =n  Number of lines to read (def=all).
 ; Much faster if number of lines is known.
 ; Automatic for IDL 5.6 or later.
-;         
-; @keyword FIND 
+;
+; @keyword FIND
 ; search the file in the all !path directories (use
 ; find.pro)
 ;
 ; @keyword HELP
-; 
+;
 ; @returns
-; 
+;
 ; @history
 ;       R. Sterner, 20 Mar, 1990
@@ -52,10 +52,10 @@
 ;-
 ;-------------------------------------------------------------
- 
+
 	function getfile, filein, error=err, help=hlp, quiet=quiet, lines=lines, find = find
 ;
   compile_opt idl2, strictarrsubs
 ;
- 
+
 	if (n_params(0) lt 1) or keyword_set(hlp) then begin
 	  print,' Read a text file into a string array.'
@@ -81,5 +81,5 @@
           endif
         ENDIF ELSE file = filein
-        
+
         if (!version.release+0. ge 5.5) then begin
           f = call_function('file_search', file, count = c)
@@ -91,5 +91,5 @@
 	  return,''
 	endif
- 
+
 	if n_elements(line) eq 0 and (!version.release+0. ge 5.6) then begin
 	  lines = file_lines(file)
@@ -101,9 +101,9 @@
 	  minlines = 0
 	endif else minlines=1
- 
+
 	get_lun, lun
 	on_ioerror, err
 	openr, lun, file
- 
+
 	if n_elements(lines) ne 0 then begin
 	  s = strarr(lines)
@@ -117,5 +117,5 @@
 	  endwhile
 	endelse
- 
+
 	close, lun
 	free_lun, lun
@@ -126,8 +126,8 @@
 	endif
 	if minlines eq 1 then s=s[1:*]
- 
+
 	err = 0
 	return, s
- 
+
 err:	if !err eq -168 then begin
 	  if not keyword_set(quiet) then print,' Non-standard text file format.'
@@ -140,4 +140,4 @@
 	err = 1
 	return, -1
- 
+
 	end
Index: trunk/SRC/ToBeReviewed/STRING/string2struct.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 222)
+++ trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 223)
@@ -1,7 +1,6 @@
 ;+
 ; @file_comments
-; This is a really, really cool way to turn keywords into
-; a structure.
-; 
+; This is a really, really cool way to turn keywords into a structure.
+;
 ; @categories
 ;
@@ -12,7 +11,5 @@
 ; @returns
 ;
-;
 ; @restrictions
-;
 ;
 ; @examples
@@ -20,5 +17,4 @@
 ;
 ; @history
-;
 ;
 ; @version
@@ -46,5 +42,5 @@
 ; plot,findgen(100),_extra=stringToStructure('title="testing"')
 ;
-; @RETURNS 
+; @returns
 ; This function returns the string as an anonymous structure. If an
 ; error was found then this function returns a structure with a null field.
Index: trunk/SRC/Utilities/protype.pro
===================================================================
--- trunk/SRC/Utilities/protype.pro	(revision 222)
+++ trunk/SRC/Utilities/protype.pro	(revision 223)
@@ -6,13 +6,14 @@
 ; test is a ".pro" file corresponds to an IDL procedure, function or batch file.
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
-; @param FILE {in} 
-; A scalar of string type, the name of the ".pro" file to be tested
+; @param FILE {in}{required}{type=string}
+; the name of the ".pro" file to be tested.
 ; if necessary, the input name is completed with '.pro'
 ; and its path found in !path
 ;
-; @returns 
+; @returns
+; -1 if not found
 ; A scalar of string type: 'proc', 'func' or 'batch'
 ;
@@ -54,5 +55,5 @@
     ELSE:RETURN, 'batch'
   ENDCASE
- 
+
   RETURN, -1
 END
Index: trunk/SRC/Utilities/xfile.pro
===================================================================
--- trunk/SRC/Utilities/xfile.pro	(revision 222)
+++ trunk/SRC/Utilities/xfile.pro	(revision 223)
@@ -4,27 +4,30 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; display in a widget an ASCII file.
-; It is the same thing that xdisplayfile but here, we use it 
-; to display the content of a procedure or of a function, 
+; It is the same thing that xdisplayfile but here, we use it
+; to display the content of a procedure or of a function,
 ; even if it is not in the current directory (thanks to the path).
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
-; @param FILENAME {in}{required} 
-; It is the name of the procedure or of the function 
+; @param FILENAME {in}{required}
+; It is the name of the procedure or of the function
 ; we want to display (with or without .pro at the end).
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; used to pass your keywords
 ;
-; @examples xfile,'plt'
+; @examples
+; IDL> xfile,'plt'
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;                       7/1/99
-;                       6/7/1999: compatibility mac and windows
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; 7/1/99
+; 6/7/1999: compatibility mac and windows
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -38,7 +41,7 @@
 pfile = strlowcase(filename)
 ;
-; we have to find the full name. 
+; we have to find the full name.
 ;
-   if strpos(pfile,".pro") lt 0 then pfile=pfile+".pro" 
+   if strpos(pfile,".pro") lt 0 then pfile=pfile+".pro"
    thisOS = strupcase(strmid(!version.os_family, 0, 3))
    CASE thisOS of
@@ -56,11 +59,11 @@
    i = 0
    repeat begin
-      res = findfile(pfile[i]) 
+      res = findfile(pfile[i])
       i = i+1
-   endrep until res[0] NE '' OR i EQ n_elements(pfile) 
+   endrep until res[0] NE '' OR i EQ n_elements(pfile)
    if res[0] NE  '' then BEGIN
 ; we open the file in a widget
    xdisplayfile, pfile[i-1], _extra = ex
-   ENDIF ELSE ras = report('le fichier demande n''existe pas...')
+   ENDIF ELSE ras = report('file does not exist ...')
 ;
 ;
Index: trunk/SRC/Utilities/xhelp.pro
===================================================================
--- trunk/SRC/Utilities/xhelp.pro	(revision 222)
+++ trunk/SRC/Utilities/xhelp.pro	(revision 223)
@@ -1,5 +1,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Display an IDL procedure header using widgets and the widget manager.
 ;
@@ -7,21 +7,22 @@
 ; Widget
 ;
-; @param FILENAME {in}{required} 
-; A scalar string that contains the filename of the file to display.  
-; If FILENAME does not include a complete path specification, xhelp will 
+; @param FILENAME {in}{required}
+; A scalar string that contains the filename of the file to display.
+; If FILENAME does not include a complete path specification, xhelp will
 ; search for the file in the current working directory and then each of the
 ; directories listed in !PATH environment variable.  The
 ; ".pro" file suffix will be appended if it is not supplied.
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; used to pass your keywords
 ;
-; @restrictions 
+; @restrictions
 ; Triggers the XMANAGER if it is not already in use.
 ;
-; @examples 
-; Open a file and create a widget to display its contents.
+; @examples
+; IDL> xhelp,'plt'
 ;
-; @history Written By Steve Richards, December 1990
+; @history
+; Written By Steve Richards, December 1990
 ;	Graceful error recovery, DMS, Feb, 1992.
 ;       Modified to extract .pro documentation headers, PJR/ESRG mar94
@@ -33,5 +34,6 @@
 ;  6/7/1999: compatibility mac and windows
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -47,7 +49,7 @@
       return
    endif
-; We have to find the full name 
+; We have to find the full name
    pfile=FILENAME
-   if strpos(pfile,".pro") lt 0 then pfile=pfile+".pro" 
+   if strpos(pfile,".pro") lt 0 then pfile=pfile+".pro"
    thisOS = strupcase(strmid(!version.os_family, 0, 3))
    CASE thisOS of
@@ -67,10 +69,10 @@
    n = 0
    repeat begin
-      res = findfile(pfile[n]) 
+      res = findfile(pfile[n])
       n = n+1
-   endrep until res[0] NE '' OR n EQ n_elements(pfile) 
+   endrep until res[0] NE '' OR n EQ n_elements(pfile)
    if res[0] NE '' then BEGIN
       openr, unit,pfile[n-1], /get_lun ; opening of the file
-; we select the heading piece     
+; we select the heading piece
       a = strarr(1000)          ;Maximum # of lines
       xsize=0
@@ -90,9 +92,9 @@
       endwhile
       if i EQ 0 then $
-         ras = report('le programme a etait mal ecrit, il n''y a pas d''en-tete... utiliser xfile.pro.') ELSE BEGIN 
+         ras = report('le programme a etait mal ecrit, il n''y a pas d''en-tete... utiliser xfile.pro.') ELSE BEGIN
          a = a[0:i-1]
 ; we wrote the a's content in a widget
          xdisplayfile,'toto',text = a,title=pfile[n-1], _extra = ex
-      ENDELSE 
+      ENDELSE
       FREE_LUN, unit         ;free the file unit.
    ENDIF ELSE ras = report('le fichier demande n''existe pas...')
Index: trunk/SRC/buildinit.pro
===================================================================
--- trunk/SRC/buildinit.pro	(revision 222)
+++ trunk/SRC/buildinit.pro	(revision 223)
@@ -74,10 +74,7 @@
 ; @returns
 ;
-;
 ; @uses
 ;
-;
-; @restrictions:
-;
+; @restrictions
 ;
 ; @examples
@@ -85,5 +82,4 @@
 ;
 ; @history
-;
 ;
 ; @version
